package cn.pluss.platform.klk.service.impl;

import cn.pluss.platform.channel.BaseMchChannelRateNewService;
import cn.pluss.platform.entity.MerchantRateNew;
import org.springframework.stereotype.Service;

@Service("lklChangeRateNewService")
public class LklChangeRateNewServiceImpl extends BaseMchChannelRateNewService {
    @Override
    public void process(String userId, MerchantRateNew merchantRate) {

    }

    @Override
    public String getChannelId() {
        return "5";
    }

    @Override
    public MerchantRateNew getDefaultRate() {
        MerchantRateNew rateNew = new MerchantRateNew();
        rateNew.setChannel(5);
        rateNew.setWxRate(38);
        rateNew.setAliRate(38);
        rateNew.setBankRate(38);
        rateNew.setBankRateLarge(38);
        return rateNew;
    }
}
